SDL_LockAudio(3)

NAME
SDL_LockAudio - Lock out the callback function

SYNOPSIS

#include "SDL.h"

void SDL_LockAudio(void)

DESCRIPTION

The lock manipulated by these functions protects the callback function. During a LockAudio period, you can be guaranteed that the callback function is not running. Do not call these from the callback function or you will cause deadlock.

SEE ALSO

SDL_OpenAudio